Extending Qt Creator Manual | OsParser

Extending Qt Creator Manual 4.5.2

# OsParser Class

(ProjectExplorer::OsParser)

Inherits: | ProjectExplorer::IOutputParser

- List of all members, including inherited members

## Public Functions

| OsParser()

## Reimplemented Public Functions

virtual bool | hasFatalErrors() const override
virtual void | stdError(const QString &line) override
virtual void | stdOutput(const QString &line) override

- 9 public functions inherited from ProjectExplorer::IOutputParser

### Additional Inherited Members

- 2 public slots inherited from ProjectExplorer::IOutputParser
- 2 signals inherited from ProjectExplorer::IOutputParser
- 1 static public member inherited from ProjectExplorer::IOutputParser

## Member Function Documentation

### OsParser::OsParser()

Default constructs an instance of OsParser.

### `[override virtual]` bool OsParser::hasFatalErrors() const

### `[override virtual]` void OsParser::stdError(const QString &line)

### `[override virtual]` void OsParser::stdOutput(const QString &line)